XDefineCursor(3)

NAME
XDefineCursor, XUndefineCursor - define cursors

SYNTAX

int XDefineCursor(Display *display, Window w, Cursor cursor);

int XUndefineCursor(Display *display, Window w);

ARGUMENTS

cursor
    Specifies the cursor that is to be displayed or

display
    Specifies the connection to the X server.

w   Specifies the window.

DESCRIPTION
If a cursor is set, it will be used when the pointer is in the window. If the cursor is it is equivalent to

can generate and errors.

The function undoes the effect of a previous for this window. When the pointer is in the window, the parent's cursor will now be used. On the root window, the default cursor is restored.

can generate a error.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Cursor argument does not name a defined Cursor.

A value for a Window argument does not name a defined Window.

SEE ALSO
XCreateFontCursor(3X11), XRecolorCursor(3X11)
Xlib - C Language X Interface